# Common Errors

In this section, you will find answers to commonly encountered issues. Remember that most errors stem from incorrect configuration, lack of required resources, or insufficient modification.

Bear in mind that troubleshooting requires patience and precision. Try to carefully analyze the errors and systematically review possible solutions.

If the issue persists after verifying the configuration and available resources, please contact the support on the VMS Discord.

***

<details>

<summary>SSN are not generated for my players</summary>

This means that you have not made all the modifications, go to the [Add SSN Generation](/assets/vms_cityhall/guides/add-ssn-generation.md)

</details>

<details>

<summary>VIN are not generated for my player vehicles</summary>

This means that you have not made all the modifications, go to the [Add VIN Generation](/assets/vms_cityhall/guides/add-vin-generation.md)

</details>

<details>

<summary><mark style="color:yellow;">Warning:</mark> "Vehicle do not have model in vehicle properties"</summary>

If you're seeing this warning, it means that one or more vehicles assigned to you in your `owned_vehicles` or `player_vehicles` table do not have a model defined in the `vehicle`/`mods` column.

If the column is missing, it means your vehicle isn't being properly inserted by an external resource. Normally, a model should be present there. But don’t worry - in most cases, if you take the vehicle out of your garage and then put it back in again, the full vehicle properties will be saved correctly. In that case, there's nothing you need to worry about.

If you're using QB-Core, it's also possible that the vehicle model stored in `player_vehicles` does not exist in `qb-core/shared/vehicles.lua`. Remember that this file must include complete information about the vehicle, such as the price and model.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_cityhall/common-errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
